summaryrefslogtreecommitdiff
path: root/redhat/ivyd.init
diff options
context:
space:
mode:
Diffstat (limited to 'redhat/ivyd.init')
-rwxr-xr-xredhat/ivyd.init43
1 files changed, 43 insertions, 0 deletions
diff --git a/redhat/ivyd.init b/redhat/ivyd.init
new file mode 100755
index 0000000..380a557
--- /dev/null
+++ b/redhat/ivyd.init
@@ -0,0 +1,43 @@
+#!/bin/sh
+#
+# irbox: Starts the in.ivyd super-daemon for the ivyd Ivy relay
+#
+# Version: @(#) /etc/rc.d/init.d/irbox.init 1.1
+#
+# chkconfig: 345 97 03
+# description: This is a daemon that works as a port server for ivyd, \
+# a relay to Ivy for short-lived applications
+# processname: in.ivyd
+# config:
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# See how we were called.
+case "$1" in
+ start)
+ echo -n "Ivy daemon port server... "
+ daemon in.ivyd -boot
+ echo
+ touch /var/lock/subsys/ivyd
+ ;;
+ stop)
+ echo -n "Shutting down Ivy daemon port server "
+ killproc in.ivyd
+ rm -f /var/lock/subsys/ivyd
+ echo
+ ;;
+ status)
+ status in.ivyd
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "*** Usage: ivyd {start|stop|status|restart}"
+ exit 1
+esac
+
+exit 0
+